Package org.eclipse.birt.chart.model.attribute

# Interface FontDefinition

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `FontDefinitionImpl`

public interface FontDefinition extends IChartObject
A representation of the model object 'Font Definition'. FontDefinition holds all information about a certain font used by chart.

The following features are supported:

- `Name`
- `Size`
- `Bold`
- `Italic`
- `Strikethrough`
- `Underline`
- `Word Wrap`
- `Alignment`
- `Rotation`

See Also:
  - `AttributePackage.getFontDefinition()`

## Method Summary

Modifier and Type
Method
Description
`FontDefinition`
`copyInstance()`
`TextAlignment`
`getAlignment()`
Returns the value of the 'Alignment' containment reference.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`double`
`getRotation()`
Returns the value of the 'Rotation' attribute.
`float`
`getSize()`
Returns the value of the 'Size' attribute.
`boolean`
`isBold()`
Returns the value of the 'Bold' attribute.
`boolean`
`isItalic()`
Returns the value of the 'Italic' attribute.
`boolean`
`isSetBold()`
Returns whether the value of the ' `Bold`' attribute is set.
`boolean`
`isSetItalic()`
Returns whether the value of the ' `Italic`' attribute is set.
`boolean`
`isSetRotation()`
Returns whether the value of the '`Rotation`' attribute is set.
`boolean`
`isSetSize()`
Returns whether the value of the ' `Size`' attribute is set.
`boolean`
`isSetStrikethrough()`
Returns whether the value of the '`Strikethrough`' attribute is set.
`boolean`
`isSetUnderline()`
Returns whether the value of the '`Underline`' attribute is set.
`boolean`
`isSetWordWrap()`
Returns whether the value of the '`Word Wrap`' attribute is set.
`boolean`
`isStrikethrough()`
Returns the value of the 'Strikethrough' attribute.
`boolean`
`isUnderline()`
Returns the value of the 'Underline' attribute.
`boolean`
`isWordWrap()`
Returns the value of the 'Word Wrap' attribute.
`void`
`setAlignment(TextAlignment value)`
Sets the value of the '`Alignment`' containment reference.
`void`
`setBold(boolean value)`
Sets the value of the '`Bold`' attribute.
`void`
`setItalic(boolean value)`
Sets the value of the '`Italic`' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setRotation(double value)`
Sets the value of the ' `Rotation`' attribute.
`void`
`setSize(float value)`
Sets the value of the '`Size`' attribute.
`void`
`setStrikethrough(boolean value)`
Sets the value of the '`Strikethrough`' attribute.
`void`
`setUnderline(boolean value)`
Sets the value of the ' `Underline`' attribute.
`void`
`setWordWrap(boolean value)`
Sets the value of the ' `Word Wrap`' attribute.
`void`
`unsetBold()`
Unsets the value of the '`Bold`' attribute.
`void`
`unsetItalic()`
Unsets the value of the '`Italic`' attribute.
`void`
`unsetRotation()`
Unsets the value of the ' `Rotation`' attribute.
`void`
`unsetSize()`
Unsets the value of the '`Size`' attribute.
`void`
`unsetStrikethrough()`
Unsets the value of the '`Strikethrough`' attribute.
`void`
`unsetUnderline()`
Unsets the value of the ' `Underline`' attribute.
`void`
`unsetWordWrap()`
Unsets the value of the ' `Word Wrap`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute. Gets the font name. Holds the font name.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `AttributePackage.getFontDefinition_Name()`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute. Sets the font name.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getSize

float getSize()
Returns the value of the 'Size' attribute. Gets the font size. Holds the font size. This can be a floating point number.

Returns:
  the value of the 'Size' attribute.
See Also:
  - `isSetSize()`
  - `unsetSize()`
  - `setSize(float)`
  - `AttributePackage.getFontDefinition_Size()`

### setSize

void setSize(float value)
Sets the value of the '`Size`' attribute. Sets the font size.

Parameters:
  `value` - the new value of the 'Size' attribute.
See Also:
  - `isSetSize()`
  - `unsetSize()`
  - `getSize()`

### unsetSize

void unsetSize()
Unsets the value of the '`Size`' attribute.

See Also:
  - `isSetSize()`
  - `getSize()`
  - `setSize(float)`

### isSetSize

boolean isSetSize()
Returns whether the value of the ' `Size`' attribute is set.

Returns:
  whether the value of the 'Size' attribute is set.
See Also:
  - `unsetSize()`
  - `getSize()`
  - `setSize(float)`

### isBold

boolean isBold()
Returns the value of the 'Bold' attribute. Gets whether the font is to be in bold. This specifies if the font is to be in bold.

Returns:
  the value of the 'Bold' attribute.
See Also:
  - `isSetBold()`
  - `unsetBold()`
  - `setBold(boolean)`
  - `AttributePackage.getFontDefinition_Bold()`

### setBold

void setBold(boolean value)
Sets the value of the '`Bold`' attribute. Gets whether the font is to be in bold.

Parameters:
  `value` - the new value of the 'Bold' attribute.
See Also:
  - `isSetBold()`
  - `unsetBold()`
  - `isBold()`

### unsetBold

void unsetBold()
Unsets the value of the '`Bold`' attribute.

See Also:
  - `isSetBold()`
  - `isBold()`
  - `setBold(boolean)`

### isSetBold

boolean isSetBold()
Returns whether the value of the ' `Bold`' attribute is set.

Returns:
  whether the value of the 'Bold' attribute is set.
See Also:
  - `unsetBold()`
  - `isBold()`
  - `setBold(boolean)`

### isItalic

boolean isItalic()
Returns the value of the 'Italic' attribute. Gets whether the font is to be rendered in italics. This specifies if the font is to be in italics.

Returns:
  the value of the 'Italic' attribute.
See Also:
  - `isSetItalic()`
  - `unsetItalic()`
  - `setItalic(boolean)`
  - `AttributePackage.getFontDefinition_Italic()`

### setItalic

void setItalic(boolean value)
Sets the value of the '`Italic`' attribute. Sets whether the font is to be rendered in italics.

Parameters:
  `value` - the new value of the 'Italic' attribute.
See Also:
  - `isSetItalic()`
  - `unsetItalic()`
  - `isItalic()`

### unsetItalic

void unsetItalic()
Unsets the value of the '`Italic`' attribute.

See Also:
  - `isSetItalic()`
  - `isItalic()`
  - `setItalic(boolean)`

### isSetItalic

boolean isSetItalic()
Returns whether the value of the ' `Italic`' attribute is set.

Returns:
  whether the value of the 'Italic' attribute is set.
See Also:
  - `unsetItalic()`
  - `isItalic()`
  - `setItalic(boolean)`

### isStrikethrough

boolean isStrikethrough()
Returns the value of the 'Strikethrough' attribute. Gets whether the font is to be rendered with strikethrough. This specifies if the font is to be in strikethrough.

Returns:
  the value of the 'Strikethrough' attribute.
See Also:
  - `isSetStrikethrough()`
  - `unsetStrikethrough()`
  - `setStrikethrough(boolean)`
  - `AttributePackage.getFontDefinition_Strikethrough()`

### setStrikethrough

void setStrikethrough(boolean value)
Sets the value of the '`Strikethrough`' attribute. Sets whether the font is to be rendered with strikethrough.

Parameters:
  `value` - the new value of the 'Strikethrough' attribute.
See Also:
  - `isSetStrikethrough()`
  - `unsetStrikethrough()`
  - `isStrikethrough()`

### unsetStrikethrough

void unsetStrikethrough()
Unsets the value of the '`Strikethrough`' attribute.

See Also:
  - `isSetStrikethrough()`
  - `isStrikethrough()`
  - `setStrikethrough(boolean)`

### isSetStrikethrough

boolean isSetStrikethrough()
Returns whether the value of the '`Strikethrough`' attribute is set.

Returns:
  whether the value of the 'Strikethrough' attribute is set.
See Also:
  - `unsetStrikethrough()`
  - `isStrikethrough()`
  - `setStrikethrough(boolean)`

### isUnderline

boolean isUnderline()
Returns the value of the 'Underline' attribute. Gets whether the font is to be underlined. This specifies if the font is to be underlined.

Returns:
  the value of the 'Underline' attribute.
See Also:
  - `isSetUnderline()`
  - `unsetUnderline()`
  - `setUnderline(boolean)`
  - `AttributePackage.getFontDefinition_Underline()`

### setUnderline

void setUnderline(boolean value)
Sets the value of the ' `Underline`' attribute. Sets whether the font is to be underlined.

Parameters:
  `value` - the new value of the 'Underline' attribute.
See Also:
  - `isSetUnderline()`
  - `unsetUnderline()`
  - `isUnderline()`

### unsetUnderline

void unsetUnderline()
Unsets the value of the ' `Underline`' attribute.

See Also:
  - `isSetUnderline()`
  - `isUnderline()`
  - `setUnderline(boolean)`

### isSetUnderline

boolean isSetUnderline()
Returns whether the value of the '`Underline`' attribute is set.

Returns:
  whether the value of the 'Underline' attribute is set.
See Also:
  - `unsetUnderline()`
  - `isUnderline()`
  - `setUnderline(boolean)`

### isWordWrap

boolean isWordWrap()
Returns the value of the 'Word Wrap' attribute. Gets whether the word wrapping is enabled. Indicates if wordwrapping is to be used.

Returns:
  the value of the 'Word Wrap' attribute.
See Also:
  - `isSetWordWrap()`
  - `unsetWordWrap()`
  - `setWordWrap(boolean)`
  - `AttributePackage.getFontDefinition_WordWrap()`

### setWordWrap

void setWordWrap(boolean value)
Sets the value of the ' `Word Wrap`' attribute. Sets whether the word wrapping is enabled.

Parameters:
  `value` - the new value of the 'Word Wrap' attribute.
See Also:
  - `isSetWordWrap()`
  - `unsetWordWrap()`
  - `isWordWrap()`

### unsetWordWrap

void unsetWordWrap()
Unsets the value of the ' `Word Wrap`' attribute.

See Also:
  - `isSetWordWrap()`
  - `isWordWrap()`
  - `setWordWrap(boolean)`

### isSetWordWrap

boolean isSetWordWrap()
Returns whether the value of the '`Word Wrap`' attribute is set.

Returns:
  whether the value of the 'Word Wrap' attribute is set.
See Also:
  - `unsetWordWrap()`
  - `isWordWrap()`
  - `setWordWrap(boolean)`

### getAlignment

TextAlignment getAlignment()
Returns the value of the 'Alignment' containment reference. Gets the text alignment for the font. Defines the alignment to be used to render the text in the element.

Returns:
  the value of the 'Alignment' containment reference.
See Also:
  - `setAlignment(TextAlignment)`
  - `AttributePackage.getFontDefinition_Alignment()`

### setAlignment

void setAlignment(TextAlignment value)
Sets the value of the '`Alignment`' containment reference. Sets the text alignment for the font.

Parameters:
  `value` - the new value of the 'Alignment' containment reference.
See Also:
  - `getAlignment()`

### getRotation

double getRotation()
Returns the value of the 'Rotation' attribute. Gets the text rotation angle (in degrees). Holds the angle (in degrees) through which the text is to be rotated while rendering.

Returns:
  the value of the 'Rotation' attribute.
See Also:
  - `isSetRotation()`
  - `unsetRotation()`
  - `setRotation(double)`
  - `AttributePackage.getFontDefinition_Rotation()`

### setRotation

void setRotation(double value)
Sets the value of the ' `Rotation`' attribute. Sets the text rotation angle (in degrees).

Parameters:
  `value` - the new value of the 'Rotation' attribute.
See Also:
  - `isSetRotation()`
  - `unsetRotation()`
  - `getRotation()`

### unsetRotation

void unsetRotation()
Unsets the value of the ' `Rotation`' attribute.

See Also:
  - `isSetRotation()`
  - `getRotation()`
  - `setRotation(double)`

### isSetRotation

boolean isSetRotation()
Returns whether the value of the '`Rotation`' attribute is set.

Returns:
  whether the value of the 'Rotation' attribute is set.
See Also:
  - `unsetRotation()`
  - `getRotation()`
  - `setRotation(double)`

### copyInstance

FontDefinition copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`